Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.util
Class LongToIntHashMap

    java.lang.Object
      de.grogra.xl.util.LongToIntHashMap

All Implemented Interfaces:
  java.lang.Iterable<LongToIntHashMap.Entry>

    public class LongToIntHashMap

extends java.lang.Object
implements java.lang.Iterable<LongToIntHashMap.Entry>

Nested Class Summary
`static class` | `LongToIntHashMap.Entry`

Constructor Summary
`LongToIntHashMap()`
`LongToIntHashMap(int capacity)`
`LongToIntHashMap(int capacity, float loadFactor)`

Method Summary
`void` | `add(long key, int value)`
`void` | `clear()`
`boolean` | `containsKey(long key)`
`int` | `get(long key)`
`int` | `get(long key, int defaultValue)`
`LongToIntHashMap.Entry` | `getEntry(long key)`
`boolean` | `isEmpty()`
`java.util.Iterator<LongToIntHashMap.Entry>` | `iterator()`
`int` | `put(long key, int value)`
`int` | `remove(long key)`
`int` | `remove(long key, int value)`
`void` | `remove(LongToIntHashMap.Entry entry)`
`void` | `removeAll(long key)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongToIntHashMap

    public LongToIntHashMap()

### LongToIntHashMap

    public LongToIntHashMap(int capacity)

### LongToIntHashMap

    public LongToIntHashMap(int capacity,
                            float loadFactor)

Method Detail

### add

    public void add(long key,
                    int value)

### clear

    public void clear()

### containsKey

    public boolean containsKey(long key)

### get

    public int get(long key)

### get

    public int get(long key,
                   int defaultValue)

### getEntry

    public LongToIntHashMap.Entry getEntry(long key)

### isEmpty

    public boolean isEmpty()

### iterator

    public java.util.Iterator<LongToIntHashMap.Entry> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<LongToIntHashMap.Entry>`

### put

    public int put(long key,
                   int value)

### remove

    public int remove(long key)

### remove

    public int remove(long key,
                      int value)

### remove

    public void remove(LongToIntHashMap.Entry entry)

### removeAll

    public void removeAll(long key)

### size

    public int size()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD